#include <gtk/gtk.h>

#include "bttv.h"
#include "event.h"
#include "gui.h"

// setting GUI
void gui_config()
{
  GtkWidget* window;
  //GtkWidget* aframe;
  GtkWidget* drawing_area;

  /*** setting window ***/
  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_signal_connect(GTK_OBJECT(window), "destroy", 
		     GTK_SIGNAL_FUNC(gtk_main_quit), NULL);

  /*** setting AspectFrame ***/
  
  //aframe = gtk_aspect_frame_new("xvideo",0.5,0.5,1.0,TRUE);
  //gtk_frame_set_shadow_type(GTK_FRAME(aframe),GTK_SHADOW_NONE);
  //gtk_container_add(GTK_CONTAINER(window),aframe);
  //gtk_container_add(GTK_CONTAINER(aframe),drawing_area);
  

  /*** draw area setting ***/
  drawing_area = gtk_drawing_area_new();
  gtk_drawing_area_size(GTK_DRAWING_AREA(drawing_area), 
			 V4L_WIDTH, V4L_HEIGHT);
  gtk_container_add(GTK_CONTAINER(window), drawing_area);


  
  /*** event setting ***/
  //gtk_signal_connect(GTK_OBJECT(window),"clicked",
  //		     GTK_SIGNAL_FUNC(capture),NULL);
  gtk_signal_connect(GTK_OBJECT(drawing_area), "expose_event", 
		     GTK_SIGNAL_FUNC(expose_event), NULL);
  gtk_signal_connect(GTK_OBJECT(drawing_area), "configure_event", 
		     GTK_SIGNAL_FUNC(configure_event), NULL);
  //  gtk_signal_connect(GTK_OBJECT(window), "button_press_event",
  //		     GTK_SIGNAL_FUNC(capture), NULL);
  gtk_widget_set_events(drawing_area, GDK_EXPOSURE_MASK | GDK_BUTTON_PRESS_MASK);

  gtk_widget_show_all(window);
   
  /*** set timeout function ***/
  gtk_timeout_add(INTERVAL, (GtkFunction)update_screen, 
		  (gpointer)drawing_area);
}
